[lxc-devel] [lxd/master] tests: The monitor can exit on its own

stgraber on Github lxc-bot at linuxcontainers.org
Wed Feb 15 23:11:08 UTC 2017


A non-text attachment was scrubbed...
Name: not available
Type: text/x-mailbox
Size: 354 bytes
Desc: not available
URL: <http://lists.linuxcontainers.org/pipermail/lxc-devel/attachments/20170215/df6629a6/attachment.bin>
-------------- next part --------------
From d2de013a6db8e9ea0c82c8235adcefd51984e732 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Wed, 15 Feb 2017 18:10:19 -0500
Subject: [PATCH] tests: The monitor can exit on its own
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Stéphane Graber <stgraber at ubuntu.com>
---
 test/main.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/main.sh b/test/main.sh
index f6aad33..d2e176e 100755
--- a/test/main.sh
+++ b/test/main.sh
@@ -382,7 +382,7 @@ wipe() {
 
   # shellcheck disable=SC2009
   ps aux | grep lxc-monitord | grep "${1}" | awk '{print $2}' | while read -r pid; do
-    kill -9 "${pid}"
+    kill -9 "${pid}" || true
   done
 
   if [ -f "${TEST_DIR}/loops" ]; then


More information about the lxc-devel mailing list